from simtk.openmm.app import *
from simtk.openmm import *
from simtk.unit import *
from sys import stdout
from IntegratorGenerator import *

pdb = PDBFile('input.pdb')
forcefield = ForceField('amber99sb.xml', 'tip3p.xml')
system = forcefield.createSystem(pdb.topology, nonbondedMethod=PME, nonbondedCutoff=1*nanometer, constraints=HBonds)
generator = IntegratorGenerator(0.002, system.getNumParticles(), 300.0)
integrator = generator.getIntegrator()
## integrator = LangevinIntegrator(300*kelvin, 1/picosecond, 0.002*picoseconds)
simulation = Simulation(pdb.topology, system, integrator, Platform.getPlatformByName("Reference"))
simulation.context.setPositions(pdb.positions)
## simulation.minimizeEnergy()
## simulation.reporters.append(PDBReporter('output.pdb', 50))
simulation.reporters.append(StateDataReporter(stdout, 50, temperature=True))
for i in range(10):
	simulation.step(100)
	generator._printGlobalVariableValues()
